%  marpol3.m
% Matlab file for Part 3 of the Marine Pollution module

disp('********************************************')
disp('Part 3:  Fitting a Line to the Data')
disp('********************************************')
disp('  ')    

    format short

    disp('We want to tell MATLAB to plot a line of')
    disp('slope a and y-intercept b on top of the')
    disp('mussel data.')
    disp(' ')
    disp('Let''s start with a=1, b=0.  Enter these values')
    disp('into MATLAB.')
    disp(' ')
    disp('----------------------------------------------')
    disp('Now, we need to define a set of x values for')
    disp('the plot.  Let x range from 0 to 5 in steps of')
    disp('0.25 and then plug in the x values to get the')
    disp('y values on the line.')
    disp(' ')
    disp('Copy the following commands and paste them at')
    disp('a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  x=0:0.25:5; ')
    disp('  y=a*x+b; ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('In order to save the mussel plot so that our')
    disp('line goes on top of it, we use the command:')
    disp('hold on.  By the way, to release a held plot')
    disp('so that you replace it by a new plot, use the')
    disp('command: hold off.  We need to force the axes')
    disp('of our line plot to conform with the limits ')
    disp('of the data.  For that, we use the command: ')
    disp('   axis([xmin,xmax,ymin,ymax]) below. ')
    disp(' ')
    disp('Copy the following commands and paste them at')
    disp('a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  hold on; ')
    disp('  plot(x,y,''r'') ')
    disp('  axis([0,5,0.38,0.56]) ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp('----------------------------------------------')
    disp(' ')

    disp('Your mission is to iteratively change the')
    disp('the values of a and b and re-plot the line')
    disp('until your line fits the data well.')
    disp(' ')
    disp('Fill in new values for a and b where the ?? ')
    disp('marks appear below and then execute the')
    disp('commands below to replot your line.')
    disp(' ')
    disp('  a= ?? ')
    disp('  b= ?? ')
    disp(' ')
    disp('  y=a*x+b; ')
    disp('  plot(x,y,''r'') ')
    disp(' ')
    disp('Keep changing a and b and replotting the')
    disp('line until you achieve a good fit to the')
    disp('mussel data.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp('----------------------------------------------')
    disp(' ')

    disp('MATLAB has a built-in command that fits')
    disp('polynomial curves to data, called polyfit:')
    disp('   coefs=polyfit(xlist,ylist,n) ')
    disp('gives the coefficients of the best-fitting')
    disp('polynomial of degree n to the data given')
    disp('by (xlist,ylist).  For a line, n=1. ')
    disp(' ')
    disp('Enter the commands below to find the best')
    disp('fit a and b values and plot the best-fitting')
    disp('line on the data plot in cyan color:')
    disp(' ')
    disp('  coefs=polyfit(TBT,TI,1)')
    disp('  a=coefs(1) ')
    disp('  b=coefs(2) ')
    disp('  y=a*x+b; ')
    disp('  plot(x,y,''c'') ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp('----------------------------------------------')
    disp(' ')

    disp('How close did you come with your eyeball ')
    disp('estimate?  Interpret your choices for the ')
    disp('numbers a and b. ')
    disp('Write MATLAB comments in your your diary file.')
    disp(' ') 
    disp('When your comments are done, to go on to')
    disp('part 4 of this module, type: marpol4.')
    disp(' ')